### Function

# GimpUi IntStore lookup_by_user_data

since: 2.10

#### Declaration [src]

    gboolean
    gimp_int_store_lookup_by_user_data (
      GtkTreeModel* model,
      gpointer user_data,
      GtkTreeIter* iter
    )

#### Description [src]

Iterate over the `model` looking for `user_data`.

Available since: 2.10

#### Parameters

`model`

  Type: `GtkTreeModel`

  A `GimpIntStore`.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  A gpointer “user-data” to lookup in the `model`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`iter`

  Type: `GtkTreeIter`

  Return location for the iter of the given `user_data`.

  The argument will be set by the function.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if the user-data has been located and `iter` is valid, `FALSE` otherwise.